|  | Home · All Classes · Modules

# QSqlRelation Class Reference
[QtSql module]

The QSqlRelation class stores information about an SQL foreign key. More...

### Methods

- __init__ (self)
- __init__ (self, QString aTableName, QString indexCol, QString displayCol)
- __init__ (self, QSqlRelation)
- QString displayColumn (self)
- QString indexColumn (self)
- bool isValid (self)
- QString tableName (self)

## Detailed Description

The QSqlRelation class stores information about an SQL foreign key.

QSqlRelation is a helper class for QSqlRelationalTableModel. See QSqlRelationalTableModel.setRelation() and QSqlRelationalTableModel.relation() for details.

## Method Documentation

### QSqlRelation.__init__ (self)

Constructs an invalid QSqlRelation object.

For such an object, the tableName(), indexColumn(), and displayColumn() functions return an empty string.

See also isValid().

### QSqlRelation.__init__ (self, QString aTableName, QString indexCol, QString displayCol)

Constructs a QSqlRelation object, where tableName is the SQL table name to which a foreign key refers, indexColumn is the foreign key, and displayColumn is the field that should be presented to the user.

See also tableName(), indexColumn(), and displayColumn().

### QSqlRelation.__init__ (self, QSqlRelation)

### QString QSqlRelation.displayColumn (self)

Returns the column from table tableName() that should be presented to the user instead of a foreign key.

### QString QSqlRelation.indexColumn (self)

Returns the index column from table tableName() to which a foreign key refers.

### bool QSqlRelation.isValid (self)

Returns true if the QSqlRelation object is valid; otherwise returns false.

### QString QSqlRelation.tableName (self)

Returns the name of the table to which a foreign key refers.